<div class="wrapper">
  <h2 mat-dialog-title>Edit your profile</h2>
  <mat-dialog-content class="mat-typography">
    <form [formGroup]="editProfileForm">
      <div class="row rowImage">
        <div class="image" (click)="fileInput.click()">
          <div
            *ngIf="userImage"
            [ngStyle]="{ 'background-image': 'url(' + userImage + ')' }"
          ></div>
          <span *ngIf="!userImage" class="material-icons">person</span>
        </div>
      </div>
      <input
        #fileInput
        type="file"
        (change)="handleFileInput($event)"
        style="display: none"
      />
      <div class="row">
        <mat-form-field class="example-full-width">
          <mat-label>Display name</mat-label>
          <input
            matInput
            [formControl]="displayNameFormControl"
            placeholder="Enter your name"
          />
          <mat-error *ngIf="displayNameFormControl.hasError('required')">
            Display name is <strong>required</strong>
          </mat-error>
        </mat-form-field>
      </div>
      <div class="row">
        <mat-form-field class="example-full-width">
          <mat-label>Email</mat-label>
          <input matInput [formControl]="emailFormControl" />
        </mat-form-field>
      </div>
    </form>
  </mat-dialog-content>
  <mat-dialog-actions>
    <div>
      <div class="accountRemove">
        <button
          mat-raised-button
          color="primary"
          (click)="removeAccount()"
          cdkFocusInitial
        >
          Remove account
        </button>
      </div>
    </div>
    <div>
      <button mat-raised-button (click)="close()">Cancel</button>
      <button
        mat-raised-button
        color="primary"
        (click)="saveProfile()"
        [mat-dialog-close]="true"
        cdkFocusInitial
      >
        Save profile
      </button>
    </div>
  </mat-dialog-actions>
</div>
